Page MenuHomePhabricator

"Cards"/"RelatedArticles" extension should be able to render uniform cards in a desktop skin
Closed, ResolvedPublic3 Estimate Story Points

Description

Currently this can only be used in mobile skins (Minerva).

  • ext.cards.gateway should work with targets desktop without pulling mobile modules.

Desktop experience should be feature flagged and disabled by default.

Details

Related Gerrit Patches:
mediawiki/extensions/Cards : masterDisplay cards in desktop view too

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2015, 3:44 PM
Jdlrobson renamed this task from ext.cards.gateway should work with targets desktop to "Cards" extension should be able to render uniform cards in a desktop skin.Oct 26 2015, 3:44 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
Jdlrobson triaged this task as Low priority.Oct 26 2015, 11:57 PM
Jdlrobson renamed this task from "Cards" extension should be able to render uniform cards in a desktop skin to "Cards"/"RelatedArticles" extension should be able to render uniform cards in a desktop skin.Nov 2 2015, 5:30 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Nov 2 2015, 5:34 PM
bmansurov updated the task description. (Show Details)Nov 9 2015, 5:16 PM
KLans_WMF edited a custom field.Nov 9 2015, 5:20 PM
bmansurov moved this task from To Do to Doing on the Reading Web Sprint 60 - Boom Headshot! board.

Change 252210 had a related patch set uploaded (by Bmansurov):
Display cards in desktop view too

https://gerrit.wikimedia.org/r/252210

@phuedx, I left a comment on the patch. I'd like to hear what you think before I do anything.

@bmansurov: I've archived our earlier IRC chat about this ticket here: P2315.

Change 252210 merged by jenkins-bot:
Display cards in desktop view too

https://gerrit.wikimedia.org/r/252210

We must create a task to track the whole "Should MobileFrontend/core be using Hogan.js? How do we share the Muhogan code if not?" conversation before this task is moved to Done.

@jhobs, could you please sign off on this task as Sam and I worked on it and we may miss something obvious? Thanks.

I never fail to miss something obvious.

jhobs closed this task as Resolved.Nov 23 2015, 12:41 PM

LGTM